Bug 455032 - Review Request: iwl5000-firmware - Firmware for Intel® PRO/Wireless 5000 A/G/N network adaptors
Review Request: iwl5000-firmware - Firmware for Intel® PRO/Wireless 5000 A/G/...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
: 459689 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 11:37 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-09-10 02:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 08:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jarod: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-07-11 11:37:28 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/iwl5000-firmware.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/iwl5000-firmware-5.4.A.11-1.src.rpm
Description: Firmware for Intel® PRO/Wireless 5000 A/G/N network adaptors

I don't know if the letter in version will be a problem. I just hope that they will update the two first numbers instead.
Comment 1 Jarod Wilson 2008-07-25 14:28:18 EDT
No errors or warnings from rpmlint, so on to the spec file...

Pretty simple package, don't think the letter in the version matters. Only real
issue I see is that you're putting the docs into /lib/firmware, while I believe
the preferred location would be %docdir, and the license doesn't prevent us from
putting it there -- iirc, ivtv-firmware has this requirement, but no such thing
for Intel wireless firmware (just look at your own iwl4965-firmware package. :)

Basically, just %doc the license and readme (or provide reasons why it must be
in /lib/firmware), and I'll approve the package. Heck, I even have hardware to
test with now, once driver support gets into rawhide, which kyle claims he's
going to do today... :)
Comment 2 Nicolas Chauvet (kwizart) 2008-07-28 10:56:04 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/iwl5000-firmware.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/iwl5000-firmware-5.4.A.11-2.src.rpm
Description: Firmware for Intel® PRO/Wireless 5000 A/G/N network adaptors

Changelog
- Add LICENSE.iwlwifi-5000-ucode README.iwlwifi-5000-ucode as %%doc

I think that previously, packaging License within /lib/firmware was required if
packages are installed with --excludedocs , so the License could still be installed.
But indeed, nothing "still" mention this from our packaging guideline.
https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Binary_Firmware

Usually nodist package are aimed to be built in the older release (F-8) and then
inherited in lastest (Rawhide). Maybe there will be a problem if users expect
support from iwl5000 from F-8 as soon as the related firmware is in the F-8
repository (F-8 last kernel doesn't seems to have iwl5000.ko).

@Linville
Do you think that such support can be provided within the F-8 kernel ?

If not, I will built it since F-9

Comment 3 Jarod Wilson 2008-07-29 23:42:54 EDT
Ah, hrm, hadn't ever picked up on that requirement, I was going solely on my
reading of the license and "prior art" -- your iwl4965-firmware package. :)

As I understand it, there won't be an iwl5000 kernel module, the iwl4965 and
iwl5000 chipsets will be driven by the same kernel module, which is going to be
renamed to something else (with a modalias of iwl4965). No real reason it
couldn't be backported to F8 if it can be brought back to F9, since the two
kernels are quite similar... Though I'm not sure how many people with iwl5000
hardware would still be running F8, since the chip is newer than F9. Could be
retro-fits or KDE3 holdouts, I guess... :) Need to put mine in sooner or later
and see what I can see...

Oh yeah:

Package APPROVED.
Comment 4 Nicolas Chauvet (kwizart) 2008-07-31 11:29:18 EDT
New Package CVS Request
=======================
Package Name: iwl5000-firmware
Short Description: Firmware for Intel® PRO/Wireless 5000 A/G/N network adaptors
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-07-31 13:17:18 EDT
cvs done.
Comment 6 Fedora Update System 2008-08-01 07:08:59 EDT
iwl5000-firmware-5.4.A.11-2 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-08-07 20:00:08 EDT
iwl5000-firmware-5.4.A.11-2 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iwl5000-firmware'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7122
Comment 8 Daniel Malmgren 2008-08-14 02:01:29 EDT
And this package is going to be built for F9 and devel as well, right?
Comment 9 Nicolas Chauvet (kwizart) 2008-08-14 04:12:40 EDT
No.
This package is a nodist and noarch package. The F-8 built will be inherited in the F-9 stable repository once it will hi the F-8 stable repository.

Did you tried it ?
Comment 10 Jarod Wilson 2008-08-14 10:02:39 EDT
Nicolas, I don't think the process is automatic, you probably have to prod someone in rel-eng to manually inherit this up to F9 and devel. I had to do so for another firmware package just a few weeks ago.
Comment 11 Nicolas Chauvet (kwizart) 2008-09-04 08:04:40 EDT
*** Bug 459689 has been marked as a duplicate of this bug. ***
Comment 12 Fedora Update System 2008-09-05 08:22:07 EDT
iwl5000-firmware-5.4.A.11-2 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-09-10 02:35:54 EDT
iwl5000-firmware-5.4.A.11-2 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.